aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPavel Roskin <proski@gnu.org>2000-07-28 19:34:02 +0000
committerPavel Roskin <proski@gnu.org>2000-07-28 19:34:02 +0000
commit259972e5657847313077dfd2ab8e84f065a82811 (patch)
tree9eca6d0e6d9ba64d4f1da68e7dc00f9e6bd44952
parent9cf306d55e36bf783e46b080f15112f0cc509549 (diff)
downloadbusybox-w32-259972e5657847313077dfd2ab8e84f065a82811.tar.gz
busybox-w32-259972e5657847313077dfd2ab8e84f065a82811.tar.bz2
busybox-w32-259972e5657847313077dfd2ab8e84f065a82811.zip
Disabled debugging output
Fine-grained checks for possible errors instead of "set -e" The standard output shows what is being linked to what
-rwxr-xr-xapplets/install.sh14
-rwxr-xr-xinstall.sh14
2 files changed, 12 insertions, 16 deletions
diff --git a/applets/install.sh b/applets/install.sh
index 1ca7183c8..8cfae3740 100755
--- a/applets/install.sh
+++ b/applets/install.sh
@@ -1,7 +1,5 @@
1#!/bin/sh 1#!/bin/sh
2 2
3set -e
4set -x
5prefix=$1 3prefix=$1
6if [ "$prefix" = "" ]; then 4if [ "$prefix" = "" ]; then
7 echo "No installation directory, aborting." 5 echo "No installation directory, aborting."
@@ -15,13 +13,13 @@ fi
15h=`sort busybox.links | uniq` 13h=`sort busybox.links | uniq`
16 14
17 15
18rm -f $prefix/bin/busybox 16rm -f $prefix/bin/busybox || exit 1
19mkdir -p $prefix/bin 17mkdir -p $prefix/bin || exit 1
20install -m 755 busybox $prefix/bin/busybox 18install -m 755 busybox $prefix/bin/busybox || exit 1
21 19
22for i in $h ; do 20for i in $h ; do
23 appdir=`dirname $i` 21 appdir=`dirname $i`
24 mkdir -p $prefix/$appdir 22 mkdir -p $prefix/$appdir || exit 1
25 if [ "$2" = "--hardlinks" ]; then 23 if [ "$2" = "--hardlinks" ]; then
26 bb_path="$prefix/bin/busybox" 24 bb_path="$prefix/bin/busybox"
27 else 25 else
@@ -44,8 +42,8 @@ for i in $h ; do
44 ;; 42 ;;
45 esac 43 esac
46 fi 44 fi
47 echo " $prefix$i -> /bin/busybox" 45 echo " $prefix$i -> $bb_path"
48 ln $linkopts $bb_path $prefix$i 46 ln $linkopts $bb_path $prefix$i || exit 1
49done 47done
50 48
51exit 0 49exit 0
diff --git a/install.sh b/install.sh
index 1ca7183c8..8cfae3740 100755
--- a/install.sh
+++ b/install.sh
@@ -1,7 +1,5 @@
1#!/bin/sh 1#!/bin/sh
2 2
3set -e
4set -x
5prefix=$1 3prefix=$1
6if [ "$prefix" = "" ]; then 4if [ "$prefix" = "" ]; then
7 echo "No installation directory, aborting." 5 echo "No installation directory, aborting."
@@ -15,13 +13,13 @@ fi
15h=`sort busybox.links | uniq` 13h=`sort busybox.links | uniq`
16 14
17 15
18rm -f $prefix/bin/busybox 16rm -f $prefix/bin/busybox || exit 1
19mkdir -p $prefix/bin 17mkdir -p $prefix/bin || exit 1
20install -m 755 busybox $prefix/bin/busybox 18install -m 755 busybox $prefix/bin/busybox || exit 1
21 19
22for i in $h ; do 20for i in $h ; do
23 appdir=`dirname $i` 21 appdir=`dirname $i`
24 mkdir -p $prefix/$appdir 22 mkdir -p $prefix/$appdir || exit 1
25 if [ "$2" = "--hardlinks" ]; then 23 if [ "$2" = "--hardlinks" ]; then
26 bb_path="$prefix/bin/busybox" 24 bb_path="$prefix/bin/busybox"
27 else 25 else
@@ -44,8 +42,8 @@ for i in $h ; do
44 ;; 42 ;;
45 esac 43 esac
46 fi 44 fi
47 echo " $prefix$i -> /bin/busybox" 45 echo " $prefix$i -> $bb_path"
48 ln $linkopts $bb_path $prefix$i 46 ln $linkopts $bb_path $prefix$i || exit 1
49done 47done
50 48
51exit 0 49exit 0